curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/pricing/free-shipment \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"rules": [
{
"shipment_service_id": 123,
"service_name": "<string>",
"min": 123,
"uf": "<string>"
}
],
"exclude_brands_ids": [
123
],
"exclude_categories_ids": [
123
],
"exclude_products_ids": [
123
]
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment"
payload = {
"rules": [
{
"shipment_service_id": 123,
"service_name": "<string>",
"min": 123,
"uf": "<string>"
}
],
"exclude_brands_ids": [123],
"exclude_categories_ids": [123],
"exclude_products_ids": [123]
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
rules: [{shipment_service_id: 123, service_name: '<string>', min: 123, uf: '<string>'}],
exclude_brands_ids: [123],
exclude_categories_ids: [123],
exclude_products_ids: [123]
})
};
fetch('https://api.dooki.com.br/v2/{alias}/pricing/free-shipment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rules' => [
[
'shipment_service_id' => 123,
'service_name' => '<string>',
'min' => 123,
'uf' => '<string>'
]
],
'exclude_brands_ids' => [
123
],
'exclude_categories_ids' => [
123
],
'exclude_products_ids' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment"
payload := strings.NewReader("{\n \"rules\": [\n {\n \"shipment_service_id\": 123,\n \"service_name\": \"<string>\",\n \"min\": 123,\n \"uf\": \"<string>\"\n }\n ],\n \"exclude_brands_ids\": [\n 123\n ],\n \"exclude_categories_ids\": [\n 123\n ],\n \"exclude_products_ids\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dooki.com.br/v2/{alias}/pricing/free-shipment")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"rules\": [\n {\n \"shipment_service_id\": 123,\n \"service_name\": \"<string>\",\n \"min\": 123,\n \"uf\": \"<string>\"\n }\n ],\n \"exclude_brands_ids\": [\n 123\n ],\n \"exclude_categories_ids\": [\n 123\n ],\n \"exclude_products_ids\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/pricing/free-shipment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rules\": [\n {\n \"shipment_service_id\": 123,\n \"service_name\": \"<string>\",\n \"min\": 123,\n \"uf\": \"<string>\"\n }\n ],\n \"exclude_brands_ids\": [\n 123\n ],\n \"exclude_categories_ids\": [\n 123\n ],\n \"exclude_products_ids\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"shipment_service_id": 123,
"uf": "SP",
"min": 199,
"service_name": "sedex"
}Criar ou atualizar regras de frete grátis
Cria ou atualiza regras de frete grátis
curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/pricing/free-shipment \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"rules": [
{
"shipment_service_id": 123,
"service_name": "<string>",
"min": 123,
"uf": "<string>"
}
],
"exclude_brands_ids": [
123
],
"exclude_categories_ids": [
123
],
"exclude_products_ids": [
123
]
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment"
payload = {
"rules": [
{
"shipment_service_id": 123,
"service_name": "<string>",
"min": 123,
"uf": "<string>"
}
],
"exclude_brands_ids": [123],
"exclude_categories_ids": [123],
"exclude_products_ids": [123]
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
rules: [{shipment_service_id: 123, service_name: '<string>', min: 123, uf: '<string>'}],
exclude_brands_ids: [123],
exclude_categories_ids: [123],
exclude_products_ids: [123]
})
};
fetch('https://api.dooki.com.br/v2/{alias}/pricing/free-shipment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rules' => [
[
'shipment_service_id' => 123,
'service_name' => '<string>',
'min' => 123,
'uf' => '<string>'
]
],
'exclude_brands_ids' => [
123
],
'exclude_categories_ids' => [
123
],
'exclude_products_ids' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment"
payload := strings.NewReader("{\n \"rules\": [\n {\n \"shipment_service_id\": 123,\n \"service_name\": \"<string>\",\n \"min\": 123,\n \"uf\": \"<string>\"\n }\n ],\n \"exclude_brands_ids\": [\n 123\n ],\n \"exclude_categories_ids\": [\n 123\n ],\n \"exclude_products_ids\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dooki.com.br/v2/{alias}/pricing/free-shipment")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"rules\": [\n {\n \"shipment_service_id\": 123,\n \"service_name\": \"<string>\",\n \"min\": 123,\n \"uf\": \"<string>\"\n }\n ],\n \"exclude_brands_ids\": [\n 123\n ],\n \"exclude_categories_ids\": [\n 123\n ],\n \"exclude_products_ids\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/pricing/free-shipment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rules\": [\n {\n \"shipment_service_id\": 123,\n \"service_name\": \"<string>\",\n \"min\": 123,\n \"uf\": \"<string>\"\n }\n ],\n \"exclude_brands_ids\": [\n 123\n ],\n \"exclude_categories_ids\": [\n 123\n ],\n \"exclude_products_ids\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"shipment_service_id": 123,
"uf": "SP",
"min": 199,
"service_name": "sedex"
}Path Parameters
Alias da loja
Body
Estrutura de dados para substituir as regras de frete grátis da loja e os itens excluídos delas.
Regras de frete grátis, uma por estado de destino e serviço de entrega. Enviar este campo apaga todas as regras existentes da loja e grava as informadas.
Show child attributes
Show child attributes
IDs das marcas cujos produtos não recebem frete grátis. A lista enviada substitui a anterior e omitir o campo remove todas as exclusões de marca.
IDs das categorias cujos produtos não recebem frete grátis. A lista enviada substitui a anterior e omitir o campo remove todas as exclusões de categoria.
IDs dos produtos que não recebem frete grátis. A lista enviada substitui a anterior e omitir o campo remove todas as exclusões de produto.
Response
Regras de frete grátis criadas ou atualizadas com sucesso
Regra de frete grátis da loja, definida por estado de destino, serviço de entrega e valor mínimo do pedido.
ID da regra de frete grátis.
ID do serviço de entrega em que o frete grátis se aplica.
Sigla do estado (UF) de destino em que a regra vale.
"SP"
Valor mínimo do pedido, em reais, para o frete ficar grátis.
199
Nome do serviço de entrega em que o frete grátis se aplica.
"sedex"
Was this page helpful?